=== debian/changelog ===
kf6-extra-cmake-modules (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:19 +0100
