## kf6-extra-cmake-modules 6.20.0+p24.04+vunstable+git20251130.0046

=== debian/changelog ===
kf6-extra-cmake-modules (6.20.0+p24.04+vunstable+git20251130.0046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:46:41 +0000

kf6-extra-cmake-modules (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:53 +1000
