## kf6-extra-cmake-modules 6.20.0+p24.04+vunstable+git20251202.0635

=== debian/changelog ===
kf6-extra-cmake-modules (6.20.0+p24.04+vunstable+git20251202.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 06:35:53 +0000
