## kf6-extra-cmake-modules 6.21.0+p24.04+vstable+git20251218.0056

=== debian/changelog ===
kf6-extra-cmake-modules (6.21.0+p24.04+vstable+git20251218.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 18 Dec 2025 00:56:22 +0000

kf6-extra-cmake-modules (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:55 +1000
