=== debian/changelog ===
kf6-extra-cmake-modules (6.22.0-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * debian/watch: Update to version 5.
  * debian/control: Bump Standards-Version to 4.7.3; Drop Priority: optional
    and Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Feb 2026 13:46:37 -0500
