=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: kf6-extra-cmake-modules
 Section: devel
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
-               libjs-underscore <!nodoc>,
-               python3-setuptools <!nodoc>,
-               python3-sphinx (>= 1.2~) <!nodoc>,
-               python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>,
+               python3-sphinx:native (>= 1.2~) <!nodoc>,
+               python3-sphinxcontrib.qthelp:native <!nodoc>,
+               qt6-tools-dev,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               qttools5-dev-tools,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+                     libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
+                     libjs-underscore <!nodoc>,
+                     python3-setuptools <!nodoc>,
+                     python3-sphinxcontrib.serializinghtml <!nodoc>,
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-extra-cmake-modules
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-extra-cmake-modules
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules.git
 
 Package: extra-cmake-modules
 Architecture: any
@@ -43,7 +44,8 @@
 Multi-Arch: foreign
 Section: doc
 Built-Using: ${sphinxdoc:Built-Using},
-Depends: ${misc:Depends}, ${sphinxdoc:Depends},
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: Extra modules and scripts for CMake - documentation
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
  serves as both a staging ground for new modules before they are moved upstream
