## kf6-extra-cmake-modules 6.22.0+p24.04+vstable+git20260106.0848

=== debian/changelog ===
kf6-extra-cmake-modules (6.22.0+p24.04+vstable+git20260106.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 08:48:24 +0000
