## kf6-extra-cmake-modules 6.22.0+p24.04+vstable+git20260116.0203

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #=============================================================================
 
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16)
 
 #
 # Preliminary setup
 #
 
-set(VERSION "6.22.0") # handled by release scripts
+set(VERSION "6.23.0") # handled by release scripts
 
 project(ECM
     VERSION "${VERSION}"
