=== debian/changelog ===
kf6-extra-cmake-modules (6.22.0+p24.04+vstable+git20260116.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:03:09 +0000
