## kf6-extra-cmake-modules 6.22.0+p24.04+vstable+git20260122.1216

=== debian/changelog ===
kf6-extra-cmake-modules (6.22.0+p24.04+vstable+git20260122.1216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:16:34 +0000
