## kf6-extra-cmake-modules 6.22.0+p24.04+vunstable+git20260111.0040

=== debian/changelog ===
kf6-extra-cmake-modules (6.22.0+p24.04+vunstable+git20260111.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 00:40:44 +0000
