## kf6-extra-cmake-modules 6.22.0+p24.04+vunstable+git20260123.0127

=== debian/changelog ===
kf6-extra-cmake-modules (6.22.0+p24.04+vunstable+git20260123.0127-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:27:18 +0000
