## kf6-extra-cmake-modules 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #=============================================================================
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 #
 # Preliminary setup
