=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
+               cmake (>= 3.27~),
                python3-sphinx:native (>= 1.2~) <!nodoc>,
                python3-sphinxcontrib.qthelp:native <!nodoc>,
                qt6-tools-dev,
