=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/frameworks/([\d\.]*)/
Matching-Pattern: extra-cmake-modules-(.*)\.tar\.xz
Pgpsigurlmangle: s/$/.sig/
